XcmsQueryBlack(3)

NAME
XcmsQueryBlack, XcmsQueryBlue, XcmsQueryGreen, XcmsQueryRed, XcmsQueryWhite - obtain black, blue, green, red, and white CCC color specifications

SYNTAX

Status XcmsQueryBlack(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryBlue(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryGreen(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryRed(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

Status XcmsQueryWhite(XcmsCCC ccc, XcmsColorFormat target_format, XcmsColor *color_return);

ARGUMENTS

ccc Specifies the CCC. Note that the CCC's Client White Point and White Point Adjustment procedures are ignored.

color_return
    Returns the color specification in the specified target format for . The white point associated with the returned color specification is the Screen White Point. The value returned in the pixel member is undefined.

target_format
    Specifies the target color specification format.

DESCRIPTION
The function returns the color specification in the specified target format for zero-intensity red, green, and blue.

The function returns the color specification in the specified target format for full-intensity blue while red and green are zero.

The function returns the color specification in the specified target format for full-intensity green while red and blue are zero.

The function returns the color specification in the specified target format for full-intensity red while green and blue are zero.

The function returns the color specification in the specified target format for full-intensity red, green, and blue.

SEE ALSO
XcmsCIELabQueryMaxC(3), XcmsCIELuvQueryMaxC(3), XcmsTekHVCQueryMaxC(3)
Xlib - C Language X Interface